org.eclipse.eef.util

## Class EefSwitch<T>

- java.lang.Object
- - org.eclipse.emf.ecore.util.Switch<T>
  - - org.eclipse.eef.util.EefSwitch<T>

Direct Known Subclasses:
  EEFConditionalStyleToWidgetStyleSwitch, EEFDescriptionToConditionalStylesSwitch, EEFDescriptionToWidgetStyleSwitch

    public class EefSwitch<T>
    extends org.eclipse.emf.ecore.util.Switch<T>

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `EefPackage`

### Field Summary

Fields
`protected static EefPackage` `modelPackage` The cached model package

### Constructor Summary

Constructors
Constructor and Description
`EefSwitch()` Creates an instance of the switch.

### Method Summary

All Methods Instance Methods Concrete Methods
`T` `caseEEFButtonConditionalStyle(EEFButtonConditionalStyle object)` Returns the result of interpreting the object as an instance of 'EEF Button Conditional Style'.
`T` `caseEEFButtonDescription(EEFButtonDescription object)` Returns the result of interpreting the object as an instance of 'EEF Button Description'.
`T` `caseEEFButtonStyle(EEFButtonStyle object)` Returns the result of interpreting the object as an instance of 'EEF Button Style'.
`T` `caseEEFCheckboxConditionalStyle(EEFCheckboxConditionalStyle object)` Returns the result of interpreting the object as an instance of 'EEF Checkbox Conditional Style'.
`T` `caseEEFCheckboxDescription(EEFCheckboxDescription object)` Returns the result of interpreting the object as an instance of 'EEF Checkbox Description'.
`T` `caseEEFCheckboxStyle(EEFCheckboxStyle object)` Returns the result of interpreting the object as an instance of 'EEF Checkbox Style'.
`T` `caseEEFConditionalStyle(EEFConditionalStyle object)` Returns the result of interpreting the object as an instance of 'EEF Conditional Style'.
`T` `caseEEFContainerDescription(EEFContainerDescription object)` Returns the result of interpreting the object as an instance of 'EEF Container Description'.
`T` `caseEEFControlDescription(EEFControlDescription object)` Returns the result of interpreting the object as an instance of 'EEF Control Description'.
`T` `caseEEFCustomExpression(EEFCustomExpression object)` Returns the result of interpreting the object as an instance of 'EEF Custom Expression'.
`T` `caseEEFCustomWidgetConditionalStyle(EEFCustomWidgetConditionalStyle object)` Returns the result of interpreting the object as an instance of 'EEF Custom Widget Conditional Style'.
`T` `caseEEFCustomWidgetDescription(EEFCustomWidgetDescription object)` Returns the result of interpreting the object as an instance of 'EEF Custom Widget Description'.
`T` `caseEEFCustomWidgetStyle(EEFCustomWidgetStyle object)` Returns the result of interpreting the object as an instance of 'EEF Custom Widget Style'.
`T` `caseEEFDynamicMappingFor(EEFDynamicMappingFor object)` Returns the result of interpreting the object as an instance of 'EEF Dynamic Mapping For'.
`T` `caseEEFDynamicMappingIf(EEFDynamicMappingIf object)` Returns the result of interpreting the object as an instance of 'EEF Dynamic Mapping If'.
`T` `caseEEFFillLayoutDescription(EEFFillLayoutDescription object)` Returns the result of interpreting the object as an instance of 'EEF Fill Layout Description'.
`T` `caseEEFGridLayoutDescription(EEFGridLayoutDescription object)` Returns the result of interpreting the object as an instance of 'EEF Grid Layout Description'.
`T` `caseEEFGroupConditionalStyle(EEFGroupConditionalStyle object)` Returns the result of interpreting the object as an instance of 'EEF Group Conditional Style'.
`T` `caseEEFGroupDescription(EEFGroupDescription object)` Returns the result of interpreting the object as an instance of 'EEF Group Description'.
`T` `caseEEFGroupStyle(EEFGroupStyle object)` Returns the result of interpreting the object as an instance of 'EEF Group Style'.
`T` `caseEEFHyperlinkConditionalStyle(EEFHyperlinkConditionalStyle object)` Returns the result of interpreting the object as an instance of 'EEF Hyperlink Conditional Style'.
`T` `caseEEFHyperlinkDescription(EEFHyperlinkDescription object)` Returns the result of interpreting the object as an instance of 'EEF Hyperlink Description'.
`T` `caseEEFHyperlinkStyle(EEFHyperlinkStyle object)` Returns the result of interpreting the object as an instance of 'EEF Hyperlink Style'.
`T` `caseEEFLabelConditionalStyle(EEFLabelConditionalStyle object)` Returns the result of interpreting the object as an instance of 'EEF Label Conditional Style'.
`T` `caseEEFLabelDescription(EEFLabelDescription object)` Returns the result of interpreting the object as an instance of 'EEF Label Description'.
`T` `caseEEFLabelStyle(EEFLabelStyle object)` Returns the result of interpreting the object as an instance of 'EEF Label Style'.
`T` `caseEEFLayoutDescription(EEFLayoutDescription object)` Returns the result of interpreting the object as an instance of 'EEF Layout Description'.
`T` `caseEEFListConditionalStyle(EEFListConditionalStyle object)` Returns the result of interpreting the object as an instance of 'EEF List Conditional Style'.
`T` `caseEEFListDescription(EEFListDescription object)` Returns the result of interpreting the object as an instance of 'EEF List Description'.
`T` `caseEEFListStyle(EEFListStyle object)` Returns the result of interpreting the object as an instance of 'EEF List Style'.
`T` `caseEEFPageDescription(EEFPageDescription object)` Returns the result of interpreting the object as an instance of 'EEF Page Description'.
`T` `caseEEFPropertyValidationRuleDescription(EEFPropertyValidationRuleDescription object)` Returns the result of interpreting the object as an instance of ' EEF Property Validation Rule Description'.
`T` `caseEEFRadioConditionalStyle(EEFRadioConditionalStyle object)` Returns the result of interpreting the object as an instance of 'EEF Radio Conditional Style'.
`T` `caseEEFRadioDescription(EEFRadioDescription object)` Returns the result of interpreting the object as an instance of 'EEF Radio Description'.
`T` `caseEEFRadioStyle(EEFRadioStyle object)` Returns the result of interpreting the object as an instance of 'EEF Radio Style'.
`T` `caseEEFRuleAuditDescription(EEFRuleAuditDescription object)` Returns the result of interpreting the object as an instance of 'EEF Rule Audit Description'.
`T` `caseEEFSelectConditionalStyle(EEFSelectConditionalStyle object)` Returns the result of interpreting the object as an instance of 'EEF Select Conditional Style'.
`T` `caseEEFSelectDescription(EEFSelectDescription object)` Returns the result of interpreting the object as an instance of 'EEF Select Description'.
`T` `caseEEFSelectStyle(EEFSelectStyle object)` Returns the result of interpreting the object as an instance of 'EEF Select Style'.
`T` `caseEEFSemanticValidationRuleDescription(EEFSemanticValidationRuleDescription object)` Returns the result of interpreting the object as an instance of ' EEF Semantic Validation Rule Description'.
`T` `caseEEFTextConditionalStyle(EEFTextConditionalStyle object)` Returns the result of interpreting the object as an instance of 'EEF Text Conditional Style'.
`T` `caseEEFTextDescription(EEFTextDescription object)` Returns the result of interpreting the object as an instance of 'EEF Text Description'.
`T` `caseEEFTextStyle(EEFTextStyle object)` Returns the result of interpreting the object as an instance of 'EEF Text Style'.
`T` `caseEEFValidationFixDescription(EEFValidationFixDescription object)` Returns the result of interpreting the object as an instance of 'EEF Validation Fix Description'.
`T` `caseEEFValidationRuleDescription(EEFValidationRuleDescription object)` Returns the result of interpreting the object as an instance of 'EEF Validation Rule Description'.
`T` `caseEEFViewDescription(EEFViewDescription object)` Returns the result of interpreting the object as an instance of 'EEF View Description'.
`T` `caseEEFWidgetAction(EEFWidgetAction object)` Returns the result of interpreting the object as an instance of 'EEF Widget Action'.
`T` `caseEEFWidgetDescription(EEFWidgetDescription object)` Returns the result of interpreting the object as an instance of 'EEF Widget Description'.
`T` `caseEEFWidgetStyle(EEFWidgetStyle object)` Returns the result of interpreting the object as an instance of 'EEF Widget Style'.
`T` `defaultCase(org.eclipse.emf.ecore.EObject object)` Returns the result of interpreting the object as an instance of 'EObject'.
`protected T` `doSwitch(int classifierID, org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
`protected boolean` `isSwitchFor(org.eclipse.emf.ecore.EPackage ePackage)` Checks whether this is a switch for the given package.

### Methods inherited from class org.eclipse.emf.ecore.util.Switch

`doSwitch, doSwitch`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### modelPackage

    protected static EefPackage modelPackage

The cached model package

### Constructor Detail

#### EefSwitch

    public EefSwitch()

Creates an instance of the switch.

### Method Detail

#### isSwitchFor

    protected boolean isSwitchFor(org.eclipse.emf.ecore.EPackage ePackage)

Checks whether this is a switch for the given package.

Specified by:
  `isSwitchFor` in class `org.eclipse.emf.ecore.util.Switch<T>`
Returns:
  whether this is a switch for the given package.

#### doSwitch

    protected T doSwitch(int classifierID,
                         org.eclipse.emf.ecore.EObject theEObject)

Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

Overrides:
  `doSwitch` in class `org.eclipse.emf.ecore.util.Switch<T>`
Returns:
  the first non-null result returned by a `caseXXX` call.

#### caseEEFViewDescription

    public T caseEEFViewDescription(EEFViewDescription object)

Returns the result of interpreting the object as an instance of 'EEF View Description'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF View Description'.
See Also:
  `doSwitch(EObject)`

#### caseEEFPageDescription

    public T caseEEFPageDescription(EEFPageDescription object)

Returns the result of interpreting the object as an instance of 'EEF Page Description'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF Page Description'.
See Also:
  `doSwitch(EObject)`

#### caseEEFValidationRuleDescription

    public T caseEEFValidationRuleDescription(EEFValidationRuleDescription object)

Returns the result of interpreting the object as an instance of 'EEF Validation Rule Description'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF Validation Rule Description'.
See Also:
  `doSwitch(EObject)`

#### caseEEFRuleAuditDescription

    public T caseEEFRuleAuditDescription(EEFRuleAuditDescription object)

Returns the result of interpreting the object as an instance of 'EEF Rule Audit Description'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF Rule Audit Description'.
See Also:
  `doSwitch(EObject)`

#### caseEEFValidationFixDescription

    public T caseEEFValidationFixDescription(EEFValidationFixDescription object)

Returns the result of interpreting the object as an instance of 'EEF Validation Fix Description'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF Validation Fix Description'.
See Also:
  `doSwitch(EObject)`

#### caseEEFPropertyValidationRuleDescription

    public T caseEEFPropertyValidationRuleDescription(EEFPropertyValidationRuleDescription object)

Returns the result of interpreting the object as an instance of ' EEF Property Validation Rule Description'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of ' EEF Property Validation Rule Description'.
See Also:
  `doSwitch(EObject)`

#### caseEEFSemanticValidationRuleDescription

    public T caseEEFSemanticValidationRuleDescription(EEFSemanticValidationRuleDescription object)

Returns the result of interpreting the object as an instance of ' EEF Semantic Validation Rule Description'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of ' EEF Semantic Validation Rule Description'.
See Also:
  `doSwitch(EObject)`

#### caseEEFGroupDescription

    public T caseEEFGroupDescription(EEFGroupDescription object)

Returns the result of interpreting the object as an instance of 'EEF Group Description'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF Group Description'.
See Also:
  `doSwitch(EObject)`

#### caseEEFControlDescription

    public T caseEEFControlDescription(EEFControlDescription object)

Returns the result of interpreting the object as an instance of 'EEF Control Description'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF Control Description'.
See Also:
  `doSwitch(EObject)`

#### caseEEFContainerDescription

    public T caseEEFContainerDescription(EEFContainerDescription object)

Returns the result of interpreting the object as an instance of 'EEF Container Description'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF Container Description'.
See Also:
  `doSwitch(EObject)`

#### caseEEFLayoutDescription

    public T caseEEFLayoutDescription(EEFLayoutDescription object)

Returns the result of interpreting the object as an instance of 'EEF Layout Description'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF Layout Description'.
See Also:
  `doSwitch(EObject)`

#### caseEEFFillLayoutDescription

    public T caseEEFFillLayoutDescription(EEFFillLayoutDescription object)

Returns the result of interpreting the object as an instance of 'EEF Fill Layout Description'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF Fill Layout Description'.
See Also:
  `doSwitch(EObject)`

#### caseEEFGridLayoutDescription

    public T caseEEFGridLayoutDescription(EEFGridLayoutDescription object)

Returns the result of interpreting the object as an instance of 'EEF Grid Layout Description'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF Grid Layout Description'.
See Also:
  `doSwitch(EObject)`

#### caseEEFWidgetDescription

    public T caseEEFWidgetDescription(EEFWidgetDescription object)

Returns the result of interpreting the object as an instance of 'EEF Widget Description'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF Widget Description'.
See Also:
  `doSwitch(EObject)`

#### caseEEFTextDescription

    public T caseEEFTextDescription(EEFTextDescription object)

Returns the result of interpreting the object as an instance of 'EEF Text Description'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF Text Description'.
See Also:
  `doSwitch(EObject)`

#### caseEEFLabelDescription

    public T caseEEFLabelDescription(EEFLabelDescription object)

Returns the result of interpreting the object as an instance of 'EEF Label Description'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF Label Description'.
See Also:
  `doSwitch(EObject)`

#### caseEEFButtonDescription

    public T caseEEFButtonDescription(EEFButtonDescription object)

Returns the result of interpreting the object as an instance of 'EEF Button Description'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF Button Description'.
See Also:
  `doSwitch(EObject)`

#### caseEEFCheckboxDescription

    public T caseEEFCheckboxDescription(EEFCheckboxDescription object)

Returns the result of interpreting the object as an instance of 'EEF Checkbox Description'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF Checkbox Description'.
See Also:
  `doSwitch(EObject)`

#### caseEEFSelectDescription

    public T caseEEFSelectDescription(EEFSelectDescription object)

Returns the result of interpreting the object as an instance of 'EEF Select Description'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF Select Description'.
See Also:
  `doSwitch(EObject)`

#### caseEEFRadioDescription

    public T caseEEFRadioDescription(EEFRadioDescription object)

Returns the result of interpreting the object as an instance of 'EEF Radio Description'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF Radio Description'.
See Also:
  `doSwitch(EObject)`

#### caseEEFHyperlinkDescription

    public T caseEEFHyperlinkDescription(EEFHyperlinkDescription object)

Returns the result of interpreting the object as an instance of 'EEF Hyperlink Description'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF Hyperlink Description'.
See Also:
  `doSwitch(EObject)`

#### caseEEFDynamicMappingFor

    public T caseEEFDynamicMappingFor(EEFDynamicMappingFor object)

Returns the result of interpreting the object as an instance of 'EEF Dynamic Mapping For'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF Dynamic Mapping For'.
See Also:
  `doSwitch(EObject)`

#### caseEEFDynamicMappingIf

    public T caseEEFDynamicMappingIf(EEFDynamicMappingIf object)

Returns the result of interpreting the object as an instance of 'EEF Dynamic Mapping If'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF Dynamic Mapping If'.
See Also:
  `doSwitch(EObject)`

#### caseEEFCustomWidgetDescription

    public T caseEEFCustomWidgetDescription(EEFCustomWidgetDescription object)

Returns the result of interpreting the object as an instance of 'EEF Custom Widget Description'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF Custom Widget Description'.
See Also:
  `doSwitch(EObject)`

#### caseEEFCustomExpression

    public T caseEEFCustomExpression(EEFCustomExpression object)

Returns the result of interpreting the object as an instance of 'EEF Custom Expression'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF Custom Expression'.
See Also:
  `doSwitch(EObject)`

#### caseEEFListDescription

    public T caseEEFListDescription(EEFListDescription object)

Returns the result of interpreting the object as an instance of 'EEF List Description'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF List Description'.
See Also:
  `doSwitch(EObject)`

#### caseEEFWidgetStyle

    public T caseEEFWidgetStyle(EEFWidgetStyle object)

Returns the result of interpreting the object as an instance of 'EEF Widget Style'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF Widget Style'.
See Also:
  `doSwitch(EObject)`

#### caseEEFTextStyle

    public T caseEEFTextStyle(EEFTextStyle object)

Returns the result of interpreting the object as an instance of 'EEF Text Style'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF Text Style'.
See Also:
  `doSwitch(EObject)`

#### caseEEFLabelStyle

    public T caseEEFLabelStyle(EEFLabelStyle object)

Returns the result of interpreting the object as an instance of 'EEF Label Style'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF Label Style'.
See Also:
  `doSwitch(EObject)`

#### caseEEFButtonStyle

    public T caseEEFButtonStyle(EEFButtonStyle object)

Returns the result of interpreting the object as an instance of 'EEF Button Style'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF Button Style'.
See Also:
  `doSwitch(EObject)`

#### caseEEFCheckboxStyle

    public T caseEEFCheckboxStyle(EEFCheckboxStyle object)

Returns the result of interpreting the object as an instance of 'EEF Checkbox Style'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF Checkbox Style'.
See Also:
  `doSwitch(EObject)`

#### caseEEFSelectStyle

    public T caseEEFSelectStyle(EEFSelectStyle object)

Returns the result of interpreting the object as an instance of 'EEF Select Style'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF Select Style'.
See Also:
  `doSwitch(EObject)`

#### caseEEFRadioStyle

    public T caseEEFRadioStyle(EEFRadioStyle object)

Returns the result of interpreting the object as an instance of 'EEF Radio Style'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF Radio Style'.
See Also:
  `doSwitch(EObject)`

#### caseEEFHyperlinkStyle

    public T caseEEFHyperlinkStyle(EEFHyperlinkStyle object)

Returns the result of interpreting the object as an instance of 'EEF Hyperlink Style'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF Hyperlink Style'.
See Also:
  `doSwitch(EObject)`

#### caseEEFCustomWidgetStyle

    public T caseEEFCustomWidgetStyle(EEFCustomWidgetStyle object)

Returns the result of interpreting the object as an instance of 'EEF Custom Widget Style'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF Custom Widget Style'.
See Also:
  `doSwitch(EObject)`

#### caseEEFListStyle

    public T caseEEFListStyle(EEFListStyle object)

Returns the result of interpreting the object as an instance of 'EEF List Style'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF List Style'.
See Also:
  `doSwitch(EObject)`

#### caseEEFGroupStyle

    public T caseEEFGroupStyle(EEFGroupStyle object)

Returns the result of interpreting the object as an instance of 'EEF Group Style'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF Group Style'.
See Also:
  `doSwitch(EObject)`

#### caseEEFConditionalStyle

    public T caseEEFConditionalStyle(EEFConditionalStyle object)

Returns the result of interpreting the object as an instance of 'EEF Conditional Style'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF Conditional Style'.
See Also:
  `doSwitch(EObject)`

#### caseEEFTextConditionalStyle

    public T caseEEFTextConditionalStyle(EEFTextConditionalStyle object)

Returns the result of interpreting the object as an instance of 'EEF Text Conditional Style'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF Text Conditional Style'.
See Also:
  `doSwitch(EObject)`

#### caseEEFButtonConditionalStyle

    public T caseEEFButtonConditionalStyle(EEFButtonConditionalStyle object)

Returns the result of interpreting the object as an instance of 'EEF Button Conditional Style'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF Button Conditional Style'.
See Also:
  `doSwitch(EObject)`

#### caseEEFLabelConditionalStyle

    public T caseEEFLabelConditionalStyle(EEFLabelConditionalStyle object)

Returns the result of interpreting the object as an instance of 'EEF Label Conditional Style'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF Label Conditional Style'.
See Also:
  `doSwitch(EObject)`

#### caseEEFCheckboxConditionalStyle

    public T caseEEFCheckboxConditionalStyle(EEFCheckboxConditionalStyle object)

Returns the result of interpreting the object as an instance of 'EEF Checkbox Conditional Style'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF Checkbox Conditional Style'.
See Also:
  `doSwitch(EObject)`

#### caseEEFSelectConditionalStyle

    public T caseEEFSelectConditionalStyle(EEFSelectConditionalStyle object)

Returns the result of interpreting the object as an instance of 'EEF Select Conditional Style'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF Select Conditional Style'.
See Also:
  `doSwitch(EObject)`

#### caseEEFRadioConditionalStyle

    public T caseEEFRadioConditionalStyle(EEFRadioConditionalStyle object)

Returns the result of interpreting the object as an instance of 'EEF Radio Conditional Style'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF Radio Conditional Style'.
See Also:
  `doSwitch(EObject)`

#### caseEEFHyperlinkConditionalStyle

    public T caseEEFHyperlinkConditionalStyle(EEFHyperlinkConditionalStyle object)

Returns the result of interpreting the object as an instance of 'EEF Hyperlink Conditional Style'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF Hyperlink Conditional Style'.
See Also:
  `doSwitch(EObject)`

#### caseEEFCustomWidgetConditionalStyle

    public T caseEEFCustomWidgetConditionalStyle(EEFCustomWidgetConditionalStyle object)

Returns the result of interpreting the object as an instance of 'EEF Custom Widget Conditional Style'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF Custom Widget Conditional Style'.
See Also:
  `doSwitch(EObject)`

#### caseEEFWidgetAction

    public T caseEEFWidgetAction(EEFWidgetAction object)

Returns the result of interpreting the object as an instance of 'EEF Widget Action'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF Widget Action'.
See Also:
  `doSwitch(EObject)`

#### caseEEFListConditionalStyle

    public T caseEEFListConditionalStyle(EEFListConditionalStyle object)

Returns the result of interpreting the object as an instance of 'EEF List Conditional Style'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF List Conditional Style'.
See Also:
  `doSwitch(EObject)`

#### caseEEFGroupConditionalStyle

    public T caseEEFGroupConditionalStyle(EEFGroupConditionalStyle object)

Returns the result of interpreting the object as an instance of 'EEF Group Conditional Style'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF Group Conditional Style'.
See Also:
  `doSwitch(EObject)`

#### defaultCase

    public T defaultCase(org.eclipse.emf.ecore.EObject object)

Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

Overrides:
  `defaultCase` in class `org.eclipse.emf.ecore.util.Switch<T>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EObject'.
See Also:
  `Switch.doSwitch(org.eclipse.emf.ecore.EObject)`